#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2010
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
"""
options.py :
   parse options in application 
"""
# standard library imports
from optparse import OptionParser
from optparse import make_option

# related third party imports

# local application/library specific imports

def options_parser() :
    """ parse application options """
    option_list = [
        make_option("-f", "--file",
                action="store", type="string", dest="filename",
                help=u'"Luciole project file (.xml) to load', metavar="FILE"),
        make_option("-v", "--verbose",
                action="store_true", dest="is_verbose", default=False,
                help=u'Toogle verbosity'),
        make_option("-l", "--logfile",
                action="store_true", dest="is_logfile", default=False,
                help=u'Log verbosity/luciole data to  $HOME/luciole.log')
        ]

    usage = "usage: %prog [options] "
    parser = OptionParser(option_list=option_list, usage=usage)
    (options, args2) = parser.parse_args()
    return options

