#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2009
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
"""
    Useful tools / functions for luliole
"""
# standard library imports
import dircache
import fnmatch
import os.path
import os
import shutil

# related third party imports
# N/A

# local application/library specific imports
import luciole.base.exceptions as LEXCEP


def files_in_dir (path, pattern='*') :
    """ Return the list of file in a dir according pattern"""
    l_fl = dircache.listdir(path)
    #split to have only the file path
    fnmatch.filter(l_fl, pattern)
    return fnmatch.filter(l_fl, pattern)

def mkdirs(path) :
    """ Make directory. Raise Exception if not possible """
    if not os.path.exists(path):
        try :
            os.makedirs(path)
        except OSError, err :
            raise LEXCEP.LucioException, "Creation Impossible  :" + path + "\n"\
                    + err.strerror + " on  : "+ err.filename
    return 

def movef(src, dest) :
    """ Move file , Raise exception in case of failure"""
    try :
        shutil.move(src, dest)
    except IOError, err:
        raise LEXCEP.LucioException, "Move impossible :" + src +"\n" \
                        +err.strerror + " on  : "+err.filename
    return 

def copyf(src, dest) :
    """ Move file , Raise exception in case of failure"""
    try :
        shutil.copy(src, dest)
    except IOError, err:
        raise LEXCEP.LucioException, "Copy Impossible :" + src + "\n"\
                + err.strerror + " on  : "+err.filename
    return 

def delf(file_to_del) :
    """ delete file , Raise exception in case of failure"""
    status = None
    try :
        status = os.remove(file_to_del)
    except OSError, err:
        raise LEXCEP.LucioException, "Delete Impossible :" "\n"\
                + err.strerror + " on  : "+ err.filename
    return status



