#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2009-2010
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
"""
info.py :
	info about app
"""
# standard library imports
# N/A

# related third party imports
# N/A

# local application/library specific imports

from luciole.version import version_info

REVNO               =  version_info['revno']
VERSION             = "0.9"
DATE                = version_info['date']
NAME                = 'luciole'
GPL_VERSION         = '3'
SUPPORTED_LANGUAGES = ['English', 'French', 'German', 'Italian', 'Spanish', ]

# names of all contributers, using 'u' for unicode encoding
NB   = {'name': u'Nicolas Betrand', 'email': 'nico@inattendu.org'}

#credits
CREDITS = {
    'code'          : [NB],
    'documentation' : [NB],
    'translation'   : [NB],
}

SETUP   = {
    'name'              : NAME,
    'version'           : VERSION,
    'author'            : NB['name'] + ' and others',
    'author_email'      : NB['email'],
    'maintainer'        : NB['name'],
    'maintainer_email'  : NB['email'],
    'url'               : 'https://launchpad.net/luciole',
    'license'           : 'GNU GPL v.' + GPL_VERSION,
    'description'       : 'stop-motion tool',
    'long_description'  : 'Luciole is a stop-motion software for animation \
movie realization.\
It can make live capture of images from external devices as webcam or \
DV cam. \n \n\
Luciole is intended to be easy to use for educational purpose and simplify\
animation movie mounting.',

# see http://pypi.python.org/pypi?%3Aaction=list_classifiers
    'classifiers'       : [          
        'Development Status :: 4 - Beta',
        'Environment :: X11 Applications',
        'Environment :: X11 Applications :: GTK',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Operating System :: OS Independent',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
		'Topic :: Artistic Software'
        'Topic :: Multimedia :: Video :: Capture',
		'Topic :: Multimedia :: Graphics :: Capture',] +
        ['Natural Language :: ' + language for language in SUPPORTED_LANGUAGES
        ],
}

